Bug 801053 - Review Request: fcitx-chewing - Chewing Wrapper for Fcitx
Review Request: fcitx-chewing - Chewing Wrapper for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:06 EST by Liang Suilong
Modified: 2012-06-05 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 18:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-03-07 10:06:27 EST
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-chewing.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-chewing-0.1.0-1.fc16.src.rpm
Description:
Fcitx-chewing is a Chewing Wrapper for Fcitx.
Chewing is a set of free intelligent Chinese Phonetic IME.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3863966
Comment 1 Parag AN(पराग) 2012-04-26 06:02:13 EDT
Review:-
+ koji scratch build for f17 ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023818

+ rpmlint on rpms gave
fcitx-chewing.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-chewing.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-chewing-0.1.0.tar.bz2 HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha1sum)
c8a5ed9db290beae092a198b5b86c31c6d09471a  fcitx-chewing-0.1.0.tar.bz2
c8a5ed9db290beae092a198b5b86c31c6d09471a  ../SOURCES/fcitx-chewing-0.1.0.tar.bz2

+ Package: fcitx-chewing-0.1.0-1.fc17.x86_64
Provides: fcitx-chewing.so()(64bit)
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libchewing.so.3()(64bit) rtld(GNU_HASH)

Suggestions:-
1) Fix the rpmlint messages. 
  a) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-chewing.spec

2) If package is only for Fedora then no need to add
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package should add Requires:fcitx, fcitx-data

5) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

6) You need to use
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache as you are
installing icon files.

7) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

8) Add COPYING to %doc
Comment 2 Liang Suilong 2012-05-12 13:26:50 EDT
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-chewing-0.1.1-1.fc16.src.rpm
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-chewing.spec
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4072694


(In reply to comment #1)
> Review:-
> + koji scratch build for f17
> ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023818
> 
> + rpmlint on rpms gave
> fcitx-chewing.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line
> 5)
> fcitx-chewing.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-chewing-0.1.0.tar.bz2 HTTP Error 404:
> Not Found
> 2 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> + Source verified with upstream as (sha1sum)
> c8a5ed9db290beae092a198b5b86c31c6d09471a  fcitx-chewing-0.1.0.tar.bz2
> c8a5ed9db290beae092a198b5b86c31c6d09471a 
> ../SOURCES/fcitx-chewing-0.1.0.tar.bz2
> 
> + Package: fcitx-chewing-0.1.0-1.fc17.x86_64
> Provides: fcitx-chewing.so()(64bit)
> Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit)
> libchewing.so.3()(64bit) rtld(GNU_HASH)
> 
> Suggestions:-
> 1) Fix the rpmlint messages. 
>   a) mixed-use-of-spaces-and-tabs message can be fixed using command
>      sed -i 's|\t| |g' fcitx-chewing.spec

Done

> 
> 2) If package is only for Fedora then no need to add
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)
>

The package will be for el6. 
 
> 3) please don't use commands in macro that is change %{__mkdir} to "mkdir"
> 
Done

> 4) package should add Requires:fcitx, fcitx-data
>

Done
 
> 5) Use following commands in %build
> %cmake ..
> make VERBOSE=1 %{?_smp_mflags}
>

Done
 
> 6) You need to use
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache as you are
> installing icon files.
> 
Done

> 7) %install should preserve timestamp using 
>    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
>
Done
 
> 8) Add COPYING to %doc

Done
Comment 3 Parag AN(पराग) 2012-05-15 01:20:55 EDT
Changes looks good now.

APPROVED.
Comment 4 Liang Suilong 2012-05-17 04:14:25 EDT
New Package SCM Request
=======================
Package Name: fcitx-chewing
Short Description: Chewing wrapper for Fcitx.
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2012-05-17 08:13:24 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-22 13:01:23 EDT
fcitx-chewing-0.1.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-chewing-0.1.1-1.fc15
Comment 7 Fedora Update System 2012-05-22 13:01:39 EDT
fcitx-chewing-0.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-chewing-0.1.1-1.fc16
Comment 8 Fedora Update System 2012-05-22 13:02:13 EDT
fcitx-chewing-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-chewing-0.1.1-1.fc17
Comment 9 Fedora Update System 2012-05-24 11:35:33 EDT
fcitx-chewing-0.1.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-05 18:59:51 EDT
fcitx-chewing-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-06-05 19:06:17 EDT
fcitx-chewing-0.1.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-05 19:12:30 EDT
fcitx-chewing-0.1.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.